Packages - Bug #3416

[pipewire][mpv][ffmpeg]: No sound with ALSA, PipeWire and OpenRC
2023-01-02 11:32 PM - bill-auger

Status: in progress % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

from https://labs.parabola.nu/boards/5/topics/1493
nona wrote:

Hello. | cannot play sound with ffmpeg nor mpv. These two first commands
may be the most relevant. Can someone please tell me how to play sound?
(I also tried with Parole, and there is no sound either; The

troubleshoot wiki of ALSA did not show this issue). Thanks.

—
aplay -D plughw:1,0 /usr/share/sounds/alsa/Front_Center.wav
[

Listing 1: plays “...enter” (the initial “C” is inaudible)

—
LANG=en aplay /usr/share/sounds/alsa/Front_Center.wav
[

—
aplay: main:831: audio open error: Host is down
(I

—
rc-service alsasound status
[

—

e status: started
[

aplay -

—
null

Discard all samples (playback) or generate zero samples (capture)
lavrate

Rate Converter Plugin Using Libav/FFmpeg Library

samplerate

Rate Converter Plugin Using Samplerate Library

speexrate

Rate Converter Plugin Using Speex Resampler

jack

JACK Audio Connection Kit

0SS

Open Sound System

pipewire

PipeWire Sound Server

pulse

PulseAudio Sound Server

speex

Plugin using Speex DSP (resample, agc, denoise, echo, dereverb)
upmix
Plugin for channel upmix (4,6,8)

vdownmix

Plugin for channel downmix (stereo) with a simple spacialization
default

Default ALSA Output (currently PipeWire Media Server)
hdmi:CARD=Generic,DEV=0

HD-Audio Generic, HDMI 0

HDMI Audio Output

hdmi:CARD=Generic,DEV=1

HD-Audio Generic, HDMI 1

HDMI Audio Output

usbstream:CARD=Generic

HD-Audio Generic

USB Stream Output

sysdefault:CARD=Generic_1

HD-Audio Generic, ALC295 Analog

Default Audio Device

front:CARD=Generic_1,DEV=0

HD-Audio Generic, ALC295 Analog

Front output / input
surround21:CARD=Generic_1,DEV=0

HD-Audio Generic, ALC295 Analog

2.1 Surround output to Front and Subwoofer speakers
surround40:CARD=Generic_1,DEV=0

HD-Audio Generic, ALC295 Analog

4.0 Surround output to Front and Rear speakers
surround41:CARD=Generic_1,DEV=0

HD-Audio Generic, ALC295 Analog

4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=Generic_1,DEV=0

HD-Audio Generic, ALC295 Analog

5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=Generic_1,DEV=0

HD-Audio Generic, ALC295 Analog

5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=Generic_1,DEV=0

HD-Audio Generic, ALC295 Analog

7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
usbstream:CARD=Generic_1

HD-Audio Generic

USB Stream Output

o List of PLAYBACK Hardware Devices **
card 0: Generic [HD-Audio Generic], device 3: HDMI 0 [HDMI 0]
Subdevices: 1/1
Subdevice #0: subdevice #0
card 0: Generic [HD-Audio Generic], device 7: HDMI 1 [HDMI 1]
Subdevices: 1/1
Subdevice #0: subdevice #0
card 1: Generic_1 [HD-Audio Generic], device 0: ALC295 Analog [ALC295 Analog]
Subdevices: 1/1

Subdevice #0: subdevice #0
I

—
cat ~/.asoundrc
[

—
ctl.!default { type hw; card Generic_1;}
—
cat /etc/modprobe.d/alsa.conf
[

—
options snd-hda-intel model=alc295-hp-x360,hp-mute-led-mic3
(I

—
amixer
[

—
Simple mixer control 'Master',0

Capabilities: pvolume pvolume-joined pswitch pswitch-joined
Playback channels: Mono

Limits: Playback 0 - 87

Mono: Playback 87 [100%] [0.00dB] [on]
Simple mixer control 'Headphone',0
Capabilities: pvolume pswitch

Playback channels: Front Left - Front Right
Limits: Playback 0 - 87

Mono:

Front Left: Playback 87 [100%] [0.00dB] [on]
Front Right: Playback 87 [100%] [0.00dB] [on]
Simple mixer control 'Speaker',0
Capabilities: pvolume pswitch

Playback channels: Front Left - Front Right
Limits: Playback 0 - 87

Mono:

Front Left: Playback 87 [100%] [0.00dB] [on]
Front Right: Playback 87 [100%] [0.00dB] [on]
Simple mixer control 'PCM',0

Capabilities: pvolume

Playback channels: Front Left - Front Right
Limits: Playback 0 - 255

Mono:

Front Left: Playback 255 [100%)] [0.00dB]
Front Right: Playback 255 [100%] [0.00dB]
Simple mixer control 'Mic Boost',0
Capabilities: volume

Playback channels: Front Left - Front Right
Capture channels: Front Left - Front Right
Limits: 0 - 3

Front Left: 0 [0%] [0.00dB]

Front Right: 0 [0%)] [0.00dB]

Simple mixer control 'Capture’,0
Capabilities: cvolume cswitch

Capture channels: Front Left - Front Right
Limits: Capture O - 63

Front Left: Capture 39 [62%)] [12.00dB] [on]
Front Right: Capture 39 [62%] [12.00dB] [on]
Simple mixer control 'Auto-Mute Mode',0
Capabilities: enum

Items: 'Disabled’ 'Enabled’

ItemO: 'Enabled’

Simple mixer control 'Internal Mic Boost',0
Capabilities: volume

Playback channels: Front Left - Front Right
Capture channels: Front Left - Front Right
Limits: 0 - 3

Front Left: 0 [0%] [0.00dB]

Front Right: 0 [0%)] [0.00dB]
[
—
ffmpeg /usr/share/sounds/alsa/Front_Center.wav
[

—
ffmpeg version n5.1.2 Copyright (c) 2000-2022 the FFmpeg developers

built with gcc 12.2.0 (GCC)

configuration: --prefix=/usr --disable-debug --disable-static --disable-stripping --enable-amf --enable-avisynth --enable-cuda-llvm
--enable-Ito --enable-fontconfig --enable-gmp --enable-gnutls --enable-gpl --enable-ladspa --enable-libaom --enable-libass
--enable-libbluray --enable-libbs2b --enable-libdav1d --enable-libdrm --enable-libfreetype --enable-libfribidi --enable-libgsm
--enable-libiec61883 --enable-libjack --enable-libmfx --enable-libmodplug --enable-libmp3lame --enable-libopencore_amrnb
--enable-libopencore_amrwb --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-libravie --enable-librsvg
--enable-libsoxr --enable-libspeex --enable-libsrt --enable-libssh --enable-libsvtav1 --enable-libtheora --enable-libv4I2
--enable-libvidstab --enable-libvmaf --enable-libvorbis --enable-libvpx --enable-libwebp --enable-libx264 --enable-libx265
--enable-libxcb --enable-libxml2 --enable-libxvid --enable-libzimg --enable-nvdec --enable-nvenc --enable-opencl
--enable-opengl --enable-shared --enable-version3 --enable-vulkan

libavutil  57.28.100/57. 28.100

libavcodec 59.37.100/59. 37.100

libavformat 59.27.100/59. 27.100

libavdevice 59. 7.100/59. 7.100

libavfilter 8.44.100/ 8.44.100

libswscale 6. 7.100/ 6. 7.100

libswresample 4. 7.100/ 4. 7.100

libpostproc 56. 6.100/56. 6.100

Output #0, wav, to /usr/share/sounds/alsa/Front_Center.wav':

Output file #0 does not contain any stream
[

—

LANG=en mpv /usr/share/sounds/alsa/Front_Center.wav
(I

—
'limpl->polling' failed at ../pipewire/spa/plugins/support/loop.c:856 impl_clear()

bash: linea 1: 6686 Abortado LANG=en mpv /usr/share/sounds/alsa/Front_Center.wav
[

By muting the “Master” in “alsamixer' the /Mute/ led lights-up on my
keyboard

History

#1 - 2023-01-02 11:51 PM - bill-auger

it may be important to narrow-down which arches and init-systems exhibits this problem - i suspect this only affects nonsystem users

—_—
LANG=en aplay /ust/share/sounds/alsa/Front_Center.wav
[

however, aplay, iceweasel, vic, and others, work as expected for me (x86_64/nonsystemd)

#2 - 2023-01-02 11:53 PM - bill-auger

- Assignee set to Megver83

#3 - 2023-01-03 12:02 AM - bill-auger

the problem seems to be that those program expect a pipewire server to be running (or socket activated?) - for now, you could start the pipewire
server from ~/.bashrc like:

echo pipewire >> ~/.bashrc
o/c that does not satisfy the OP - a sound server should not be required to play sound in any program - linux can do that - it is another gift from the

folks who brought us systemd and pulseaudio; so it will perhaps achieve the same level of frivolous adoption as pulseaudio and webengine, while
likewise dropping support for any alternatives (even if the "alternative” is "nothing but the standard kernel")
FWIW, if "program expects a pipewire server" is true, then in other words: "does not support ALSA" - personally, in that case, i would forget it and
prefer a less opinionated equivalent - it is a bug nonetheless, which should be addressed somehow

do ppl want this?

maybe the nonsystemd builds are just broken?

or maybe these programs can be re-compiled to support ALSA natively?
does anyone know if these worked with nonsystemd in the past?

#4 - 2023-01-03 12:23 AM - bill-auger

mpv works as expected with parabola systemd - pipewire is socket activated

systemd:

$ systemctl --user status pipewire

O pipewire.service - PipeWire Multimedia Service
Loaded: loaded (/usr/lib/systemd/user/pipewire.service; disabled; preset: enabled)
Active: inactive (dead)

TriggeredBy: @ pipewire.socket

$ systemctl --user list-units | grep pipewire
pipewire.socket loaded active listening PipeWire Multimedia System Socket

$ mpv /usr/share/sounds/alsa/Noise.wav

(+) Audio --aid=1 (pcm_slé6le 1lch 48000Hz)
AO: [alsa] 48000Hz mono 1lch sl6
A: 00:00:01 / 00:00:01 (81%)

Exiting... (End of file)

$ systemctl --user list-units | grep pipewire

pipewire-media-session.service loaded active running PipeWire Media Session Manager
pipewire.service loaded active running PipeWire Multimedia Service
pipewire.socket loaded active running PipeWire Multimedia System Socket
nonsystemd:

$ mpv /usr/share/sounds/alsa/Noise.wav
(+) Audio --aid=1 (pcm_slé6le 1lch 48000Hz)

[ao/pipewire] Could not connect to context '(null)': Gastiganto ne funkcias
'limpl->polling' failed at ../pipewire/spa/plugins/support/loop.c:856 impl_clear ()
Abortita

$ pipewire &
[1] 6456

$ mpv /usr/share/sounds/alsa/Noise.wav
(+) Audio —--aid=1 (pcm_slé6le 1lch 48000Hz)
AO: [alsa] 48000Hz mono 1lch sl6
A: 00:00:01 / 00:00:01 (81%)
Exiting... (End of file)
#5 - 2023-01-03 05:57 PM - nona
My system seems to be broken:

with pipewire | get the error below, but mpv "$file".wav stays at 00:00:00

LANG=en pipewire

[W][03297.210291] mod.rt | module-rt.c: 259 translate_error ()] RTKit error: org.freedesktop.DBus.
Error.ServiceUnknown

[W][03297.210321] mod.rt | [ module-rt.c: 578 set_nice()] could not set nice-level to -11: No such

file or directory

[W][03297.210681] mod.rt | module-rt.c: 259 translate_error ()] RTKit error: org.freedesktop.DBus.
Error.ServiceUnknown

[W][03297.213775] mod.rt | module-rt.c: 259 translate_error ()] RTKit error: org.freedesktop.DBus.
Error.ServiceUnknown

[W] [03297.214035] mod.rt | [ module-rt.c: 259 translate_error ()] RTKit error: org.freedesktop.DBus.
Error.ServiceUnknown

[W]1[03297.214044] mod.rt | module-rt.c: 800 impl_acquire_rt ()] could not make thread 6278 realtim

e using RTKit: No such file or directory

On the Alpine Linux wiki (Alpinelinux.org/wiki/PipeWire#Disable_D-Bus_support), there is a set of instructions to disable D-Bus
/etc/pipewire/pipewire.conf

context.properties = {
support.dbus = false

}

/etc/pipewire/wirepumbler.conf

context.properties = {
support.dbus = false

}

/etc/wirepumbler/bluetooth.lua.d/50-bluez—config.lua
context.properties = {

["with-logind"] = false,
}
/etc/wirepumbler/main.lua.d/50-alsa-config.lua
context.properties = {

["alsa.reserve"] = false,

}
/etc/wirepumbler/main.lua.d/50-default-access-config.lua
context.properties = {
["enable-flatpack-portal"] = false,
}
Then, this results in
LANG=en pipewire
[W] [03548.551500] pw.context | context.c: 402 pw_context_new ()] O0xa24ab58b820: no modules loaded fr

om context.modules

LANG=en aplay /usr/share/sounds/alsa/Front_Center.wav
aplay: main:831: audio open error: Host is down

which makes me think about the rationale behind HyperbolaBSD. Oh! by the way, | was helping someone with his Ubuntu today... what a piece of...
sorry, digression averted ;) .

#6 - 2023-01-03 08:02 PM - bill-auger

when i run pipewire from the command line, it prints nothing - those errors are complaining about "realtime" support - maybe try installing the
'realtime-privileges' package and adding your user to the 'realtime’ group (then reboot)

the aplay may be a completely different issue - aplay works as expected for me, with or without pipewire running

#7 - 2023-01-03 09:33 PM - nona

Is another bug report needed? go back to the original forum discussion? stay here? As | said before

—_—
aplay -D plughw:1,0 /usr/share/sounds/alsa/Front_Center.wav
[

Listing 1: plays “...enter” (the initial “C” is inaudible)
—_—

LANG=en aplay /usr/share/sounds/alsa/Front_Center.wav
[

—_—
aplay: main:831: audio open error: Host is down
[

#8 - 2023-01-04 11:02 PM - nona

bill-auger wrote:

when i run pipewire from the command line, it prints nothing - those errors are complaining about "realtime" support - maybe try installing the
'realtime-privileges' package and adding your user to the 'realtime' group (then reboot)

Same outcome

the aplay may be a completely different issue - aplay works as expected for me, with or without pipewire running
sudo pacman -Rnucs pipewire

sudo rc-service alsasound restart

LANG=en aplay /usr/share/sounds/alsa/Front_Center.wav

that works. Is pipewire really needed for mpv? However,

LANG=en ffmpeg /usr/share/sounds/alsa/Front_Center.wav

Output #0, wav, to '/usr/share/sounds/alsa/Front_Center.wav':
Output file #0 does not contain any stream

#9 - 2023-01-05 11:08 PM - bill-auger

Is pipewire really needed for mpv?

yes, it is needed, in the sense that the 'mpv' package depends
on the 'pipewire' package

$ LANG=C pacman -Si mpv | grep Depends | grep --only-matching pipewire
pipewire

is it "really needed" probably "no" - all audio applications

should be ready to fall-back on the baseline ALSA - any which is not,

i consider to be broken or incomplete - either it is a bug, or it's
developers are suffering from technical miopia

#10 - 2023-01-05 11:15 PM - bill-auger

ffmpeg /usr/share/sounds/alsa/Front_Center.wav

ffmpeg is not used in that way - not is not a media player - you
would use the ffplay to play the media - for some reason, that
also does not work; but we can ignore ffmpeg until this ticket
is fixed - it may or may not be the same problem

#11 - 2023-01-08 04:09 PM - nona
>.< sorry!
after uninstalling pipewire, ffplay does work
ffplay /usr/share/sounds/alsa/Front_Center.wav
However, the mpv does depend on pipewire:

sudo torsocks pacman -Sy —--assume-installed pipewire mpv
LANG=en mpv /usr/share/sounds/alsa/Front_Center.wav

mpv: error while loading shared libraries: libpipewire-0.3.s0.0: cannot open shared object file: No such f
ile or directory

The good news is that it does work if you delete pipewire from here
https://github.com/archlinux/svntogit-community/blob/packages/mpv/trunk/PKGBUILD , do your torsocks makepkg -oC, makepkg -ef and pacman -U
*.pkg.zst:

LANG=en mpv /usr/share/sounds/alsa/Front_Center.wav
(+) Audio —--aid=1 (pcm_sl6le 1ch 48000Hz)
AO: [alsa] 48000Hz mono 1lch slé6
A: 00:00:01 / 00:00:01 (79%)
Exiting... (End of file)
hail freedom! (may be an mpv-openrc is needed?). Should we rename or split this bug report?
#12 - 2023-01-09 02:07 AM - bill-auger
ok lets get this straight

e mpv works only if pipewire is installed?
o ffplay works only if pipewire is not installed?
#13 - 2023-01-09 02:07 AM - bill-auger
On Sun, 08 Jan 2023 16:10:22 +0000 labs@parabola.nu wrote:
(may be an mpv-openrc is needed?).
so far, this suggest that the needed addition is

'pipewire-openrc', to add the openrc service files,
so that socket activation works

#14 - 2023-01-09 02:07 AM - bill-auger
ok lets get this straight

e mpv works only if pipewire is installed?
o ffplay works only if pipewire is not installed?

#15 - 2023-01-09 02:07 AM - bill-auger

On Sun, 08 Jan 2023 16:10:22 +0000 labs@parabola.nu wrote:
(may be an mpv-openrc is needed?).

so far, this suggest that the needed addition is

'pipewire-openrc', to add the openrc service files,
so that socket activation works

#16 - 2023-01-09 02:08 AM - bill-auger

On Sun, 08 Jan 2023 16:10:22 +0000 labs@parabola.nu wrote:
(may be an mpv-openrc is needed?).

so far, this suggest that the needed addition is

'pipewire-openrc’, to add the openrc service files,
so that socket activation works

#17 - 2023-01-09 02:08 AM - bill-auger
ok lets get this straight

e mpv works only if pipewire is installed?
o ffplay works only if pipewire is not installed?

#18 - 2023-01-09 02:09 AM - bill-auger

On Sun, 08 Jan 2023 16:10:22 +0000 labs@parabola.nu wrote:
(may be an mpv-openrc is needed?).

so far, this suggest that the needed addition is

'pipewire-openrc', to add the openrc service files,
so that socket activation works

#19 - 2023-01-09 02:09 AM - bill-auger
ok lets get this straight

e mpv works only if pipewire is installed?
o ffplay works only if pipewire is not installed?

#20 - 2023-01-09 02:29 AM - bill-auger
On Sun, 08 Jan 2023 16:10:22 +0000 labs@parabola.nu wrote:

(may be an mpv-openrc is needed?).

so far, this suggest that the needed addition is
'pipewire-openrc', to add the openrc service files,
so that socket activation works

#21 - 2023-01-09 09:49 AM - nona
Hi, bill. (The posts are being repeated again.) | have to check if ffplay works with pipewire. | had initially used ffmpeg to try to play the file. As you
pointed out, that would obviously not work. The intention was to remark that | had now used ffplay, and it did work.

With regards to mpv: The one coming from Arch does not work if pipewire is installed. If mpv is rebuilt by first uninstalling pipewire (and modifying the
PKGBUILD a bit to remove its dependency), it works. | imagine that it would run even if pipewire is reinstalled.

| will get back to you to test ffplay with pipewire.

#22 - 2023-01-15 12:32 AM - nona
- Subject changed from [mpv][ffmpeg]: No sound with ALSA to [pipewire][mpv][ffmpeg]: No sound with ALSA, PipeWire and OpenRC

Summary: ffplay does not work if pipewire is installed.

So, when installing pipewire again (pacman -Sy pipewire), these are installed too:
alsa-card-profiles-1:0.3.51-1.nonsystemd1 bluez-libs-5.66-1 libfdk-aac-2.0.2-1 libfreeaptx-0.1.1-1 libldac-2.0.2.3-1 lilv-0.24.20-1 lv2-1.18.10-1
sbc-2.0-1 serd-0.30.16-1 sord-0.16.14-1 sratom-0.6.14-1 webrtc-audio-processing-0.3.1-3 pipewire-1:0.3.51-1.nonsystemd1

Then, after installing pipewire-alsa

pipewire-media-session-1:0.4.1-2.nonsystemdl pipewire-alsa-1:0.3.51-1.nonsystemdl
With

LANG=en ffplay /usr/share/sounds/alsa/Front_Center.wav

| got

ffplay version n5.1.2 Copyright (c) 2003-2022 the FFmpeg developers

built with gcc 12.2.0 (GCC)

configuration: —--prefix=/usr --disable-debug --disable-static —--disable-stripping --enable-amf --enable-
avisynth --enable-cuda-llvm --enable-lto --enable-fontconfig --enable-gmp --enable-gnutls --enable-gpl --enabl
e-ladspa —--enable-libaom --enable-libass —--enable-libbluray --enable-1ibbs2b --enable-libdavld --enable-libdrm
——enable-libfreetype —--enable-libfribidi --enable-libgsm --enable-1libiec61883 —--enable-libjack --enable-libmf
x ——enable-libmodplug --enable-libmp3lame --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libop
enjpeg —--enable-libopus --enable-libpulse --enable-libravle --enable-librsvg —--enable-libsoxr --enable-libspee
x ——enable-libsrt —--enable-libssh —--enable-libsvtavl —--enable-libtheora —--enable-1libv412 --enable-libvidstab -
—enable-libvmaf --enable-libvorbis --enable-libvpx --enable-libwebp --enable-1ibx264 --enable-1ibx265 —--enable

—libxcb —--enable-libxml2 --enable-libxvid --enable-libzimg --enable-nvdec --enable-nvenc --enable-opencl --ena
ble-opengl —--enable-shared --enable-version3 --enable-vulkan

libavutil 57. 28.100 / 57. 28.100

libavcodec 59. 37.100 / 59. 37.100

libavformat 59. 27.100 / 59. 27.100

libavdevice 59. 7.100 / 59. 7.100

libavfilter 8. 44.100 / 8. 44.100

libswscale 6. 7.100 / 6. 7.100

libswresample 4. 7.100 / 4. 7.100

libpostproc 56. 6.100 / 56. 6.100

nan : 0.000 fd= 0 ag= 0KB vg= O0KB sg= 0B £=0/0

Input #0, wav, from '/usr/share/sounds/alsa/Front_Center.wav':

Duration: 00:00:01.43, bitrate: 768 kb/s

Stream #0:0: Audio: pcm_sl6le ([1][0][0][0] / 0x0001), 48000 Hz, 1 channels, sl6, 768 kb/s
SDL_OpenAudio (1 channels, 48000 Hz): ALSA: Couldn't open audio device: Host is down
SDL_OpenAudio (1 channels, 44100 Hz): ALSA: Couldn't open audio device: Host is down
No more combinations to try, audio open failed
Failed to open file '/usr/share/sounds/alsa/Front_Center.wav' or configure filtergraph

nan : 0.000 fd= 0 ag= OKB vg= OKB sg= 0B £=0/0

Then, with pipewire running
pipewire
(Same error as before)
[W] [02993.401378] pw.context [ context.c: 402 pw_context_new()] 0xbdl95b21a0: no modules loaded
from context.modules

| get the same (with the same ffplay command)
ffplay version n5.1.2 Copyright (c) 2003-2022 the FFmpeg developers

built with gcc 12.2.0 (GCC)
configuration: —--prefix=/usr --disable-debug --disable-static --disable-stripping --enable-amf --enable-
avisynth —--enable-cuda-llvm --enable-lto --enable-fontconfig --enable-gmp --enable-gnutls --enable-gpl --enabl
e-ladspa —-enable-libaom --enable-libass —--enable-libbluray --enable-1ibbs2b --enable-libdavld --enable-libdrm
—-—enable-libfreetype --enable-libfribidi --enable-libgsm --enable-1libiec61883 --enable-libjack —--enable-libmf
x ——enable-libmodplug --enable-libmp3lame --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libop
enjpeg —-enable-libopus --enable-libpulse --enable-libravle --enable-librsvg —--enable-libsoxr --enable-libspee
x ——enable-libsrt --enable-libssh --enable-libsvtavl --enable-libtheora --enable-1ibv412 --enable-libvidstab -
—enable-libvmaf --enable-libvorbis --enable-libvpx --enable-libwebp --enable-1ibx264 --enable-1ibx265 --enable

—libxcb --enable-libxml2 --enable-libxvid --enable-libzimg --enable-nvdec --enable-nvenc --enable-opencl --ena
ble-opengl --enable-shared --enable-version3 --enable-vulkan

libavutil 57. 28.100 / 57. 28.100

libavcodec 59. 37.100 / 59. 37.100

libavformat 59. 27.100 / 59. 27.100

libavdevice 59. 7.100 / 59. 7.100

libavfilter 8. 44.100 / 8. 44.100

libswscale 6. 7.100 / 6. 7.100

libswresample 4. 7.100 / 4. 7.100

libpostproc 56. 6.100 / 56. 6.100

nan : 0.000 fd= 0 ag= 0KB vg= O0KB sg= 0B £=0/0

Input #0, wav, from '/usr/share/sounds/alsa/Front_Center.wav':

Duration: 00:00:01.43, bitrate: 768 kb/s

Stream #0:0: Audio: pcm_sl6le ([1]1[0]1[0]1[0] / 0x0001), 48000 Hz, 1 channels, sl6, 768 kb/s
SDL_OpenAudio (1 channels, 48000 Hz): ALSA: Couldn't open audio device: Host is down
SDL_OpenAudio (1 channels, 44100 Hz): ALSA: Couldn't open audio device: Host is down
No more combinations to try, audio open failed
Failed to open file '/usr/share/sounds/alsa/Front_Center.wav' or configure filtergraph

nan : 0.000 fd= 0 ag= 0KB vg= O0KB sg= 0B £=0/0

Same story after rc-service alsasound restart. Finally, mpv is also blocked:

(+) Audio —--aid=1 (pcm_sl6le 1ch 48000Hz)
[ao/alsa] Playback open error: Host is down
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr: :~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr — Init not done for -1, skipping unlock
[ao/jack] cannot open server
[ao] Failed to initialize audio driver 'jack'
Could not open/initialize audio device -> no sound.
Audio: no audio

Exiting... (Errors when loading file)

Something else that | found is that there is a group called alsa with only one member: python-pyalsa

#23 - 2023-08-18 02:10 AM - bill-auger

- Status changed from confirmed to in progress
there is a new pipewire in nonsystemd - maybe it fixes some of these problems?
#24 - 2023-08-18 01:26 PM - nona

My system has been dead for a while. Having a computer which is not really compatible with Parabola is a terrible nuisance (no proper video, no
sound, no wifi), and | am currently using a computer from work. When | get back the system from the grave, the situation might be fixed.

2024-04-18 10/10


http://www.tcpdf.org

